<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Robot Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classRobot-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Robot Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Robot_8hpp_source.html">Robot.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Robot:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot__coll__graph.png" border="0" usemap="#Robot_coll__map" alt="Collaboration graph"/></div>
<map name="Robot_coll__map" id="Robot_coll__map">
<area shape="rect" id="node33" href="classForceMeasurement.html" title="{ForceMeasurement\n|# forceUnit\l# _fieldIdForce\l# _fieldIdVoltage\l# _fieldIdAssumedForceOffset\l|+ ForceMeasurement()\l+ ~ForceMeasurement()\l+ Init()\l+ SetSensorGain()\l+ SetSensorMaxForce()\l+ SetSensorOffsetForce()\l+ SetForceUnit()\l+ TareSensor()\l+ UpdateForce()\l# GetForceAndVoltage()\l}" alt="" coords="273,2573,471,2867"/><area shape="rect" id="node2" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="231,569,372,775"/><area shape="rect" id="node12" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="119,904,268,1128"/><area shape="rect" id="node17" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="304,843,453,1189"/><area shape="rect" id="node23" href="classHardwareManager.html" title="{HardwareManager\n||+ HardwareManager()\l+ ~HardwareManager()\l+ AcquireHardware()\l+ GetAxisPointer()\l+ BuildRobot()\l+ stateManager()\l# AcquireSmaractDevices()\l# AcquireZaberDevices()\l# QueryComediDevices()\l}" alt="" coords="247,1852,428,2076"/><area shape="rect" id="node4" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="221,173,381,501"/><area shape="rect" id="node6" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="60,5,212,91"/><area shape="rect" id="node8" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="236,5,367,91"/><area shape="rect" id="node10" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="391,5,537,91"/><area shape="rect" id="node15" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="347,1256,539,1341"/><area shape="rect" id="node20" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="273,1409,417,1615"/><area shape="rect" id="node29" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorSystem * \&gt;\n||}" alt="" coords="240,1683,451,1768"/><area shape="rect" id="node25" href="classstd_1_1vector.html" title="{std::vector\&lt; Controller * \&gt;\n||}" alt="" coords="43,1683,216,1768"/><area shape="rect" id="node27" href="classController.html" title="{Controller\n||+ Controller()\l+ GetAxis()\l+ ~Controller()\l}" alt="" coords="76,1452,183,1572"/><area shape="rect" id="node35" href="classADCard.html" title="{ADCard\n|# dev\l# command\l# cmd\l# polynomial_converter\l# chanlist\l# range_info\l# maxdata\l# forceAcquisitionMode\l# buf\l|+ ADCard()\l+ ~ADCard()\l+ Init()\l+ GetVoltage()\l# PrepareCmdLib()\l# init_parsed_options()\l# cmd_src()\l# dump_cmd()\l}" alt="" coords="83,2161,240,2506"/><area shape="rect" id="node37" href="structparsed__options.html" title="{parsed_options\n|+ filename\l+ value\l+ subdevice\l+ channel\l+ aref\l+ range\l+ physical\l+ verbose\l+ n_chan\l+ n_scan\l+ freq\l|}" alt="" coords="107,1835,216,2093"/><area shape="rect" id="node40" href="classForceSensor.html" title="{ForceSensor\n|# gain\l# maxForce\l# offsetForce\l|+ ForceSensor()\l+ ~ForceSensor()\l+ SetGain()\l+ SetMaxForce()\l+ SetOffsetForce()\l+ GetOffsetForce()\l+ GetMaxForce()\l+ GetForce()\l}" alt="" coords="264,2213,395,2454"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a59fbafc2b301235f5736ba09b603d783"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a59fbafc2b301235f5736ba09b603d783">Robot</a> (<a class="el" href="classExperiment.html">Experiment</a> &amp;experiment)</td></tr>
<tr class="memitem:a924320124b09c2f2ac1621aa210d5f38"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a924320124b09c2f2ac1621aa210d5f38">~Robot</a> ()</td></tr>
<tr class="memitem:addd6c688b1b4697dcfb7f59c5eb4d820"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#addd6c688b1b4697dcfb7f59c5eb4d820">BuildFromRecipe</a> (<a class="el" href="structRobotRecipe.html">RobotRecipe</a> recipe)</td></tr>
<tr class="memdesc:addd6c688b1b4697dcfb7f59c5eb4d820"><td class="mdescLeft">&#160;</td><td class="mdescRight">TODO: change <a class="el" href="structRobotRecipe.html" title="TODO: replace that with simply parameter file (robot recipe file)">RobotRecipe</a> into a reference to par object.  <a href="#addd6c688b1b4697dcfb7f59c5eb4d820"></a><br/></td></tr>
<tr class="memitem:a392ec2a33753ff38d7d7ed38674a6ec1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a392ec2a33753ff38d7d7ed38674a6ec1">Goto</a> (int axis, double positionMicrons)</td></tr>
<tr class="memdesc:a392ec2a33753ff38d7d7ed38674a6ec1"><td class="mdescLeft">&#160;</td><td class="mdescRight">this time, int axis means the i-th axis in the robot collection, no relation to hardware id's  <a href="#a392ec2a33753ff38d7d7ed38674a6ec1"></a><br/></td></tr>
<tr class="memitem:a6028803bde72460dd961a3099dd32485"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a6028803bde72460dd961a3099dd32485">GetPosition</a> (int axis, double &amp;positionMicrons)</td></tr>
<tr class="memitem:a6fcc15958db68e9ae90e940306c43f33"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a6fcc15958db68e9ae90e940306c43f33">SetAxisOption</a> (int axis, <a class="el" href="ActuatorAxis_8hpp.html#aa54708a5c8d0aae983e16b802396532b">AxisOption</a> option, double value)</td></tr>
<tr class="memdesc:a6fcc15958db68e9ae90e940306c43f33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets axis option, returns false if option is unsupported or if axis is missing.  <a href="#a6fcc15958db68e9ae90e940306c43f33"></a><br/></td></tr>
<tr class="memitem:ad41d6baac65d38790ca5810b7f14a17a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#ad41d6baac65d38790ca5810b7f14a17a">UpdateAxisState</a> (int axis)</td></tr>
<tr class="memdesc:ad41d6baac65d38790ca5810b7f14a17a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Call it if you want to update state of an axis selectively without updating other axes.  <a href="#ad41d6baac65d38790ca5810b7f14a17a"></a><br/></td></tr>
<tr class="memitem:a47cbe36ecea5e52540b77264bc9b14a1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a47cbe36ecea5e52540b77264bc9b14a1">UpdateRobotState</a> ()</td></tr>
<tr class="memdesc:a47cbe36ecea5e52540b77264bc9b14a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Call it to update state for all axes.  <a href="#a47cbe36ecea5e52540b77264bc9b14a1"></a><br/></td></tr>
<tr class="memitem:a94a9bab97c26b85eb3d65f5cb62d9aa4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a94a9bab97c26b85eb3d65f5cb62d9aa4">RegisterFields</a> ()</td></tr>
<tr class="memdesc:a94a9bab97c26b85eb3d65f5cb62d9aa4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Registers all fields to the <a class="el" href="classStateManager.html">StateManager</a>.  <a href="#a94a9bab97c26b85eb3d65f5cb62d9aa4"></a><br/></td></tr>
<tr class="memitem:a62961cc17086e0b6a19b72ebf2409960"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a62961cc17086e0b6a19b72ebf2409960">ParseRecipeFromIni</a> (const <a class="el" href="classParms.html">Parms</a> &amp;robotRecipePar, <a class="el" href="structRobotRecipe.html">RobotRecipe</a> &amp;robotRecipe)</td></tr>
<tr class="memitem:a81113fbdb49a6a17c2601fbb4318d0f6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a81113fbdb49a6a17c2601fbb4318d0f6">readParameters</a> (const <a class="el" href="classParms.html">Parms</a> &amp;parms)</td></tr>
<tr class="memitem:ac115f5f04d44b46899a4424ed2157080"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#ac115f5f04d44b46899a4424ed2157080">forceMeasurement</a> ()</td></tr>
<tr class="memitem:a401f61ae45e4c0587e9127e2c4c3dd67"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67">stateManager</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ac7b0162b6bb68b07d8b622c7aa4aff55"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classHardwareManager.html">HardwareManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#ac7b0162b6bb68b07d8b622c7aa4aff55">_hardwareManager</a></td></tr>
<tr class="memitem:a4c8858bc161c836527fa919eae75c780"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt; <a class="el" href="classActuatorAxis.html">ActuatorAxis</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a4c8858bc161c836527fa919eae75c780">_axes</a></td></tr>
<tr class="memitem:ae14c5e0f4233f5f5340ee8f3664ac364"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#ae14c5e0f4233f5f5340ee8f3664ac364">_stateManager</a></td></tr>
<tr class="memitem:a927240c8058a5bc527a81c6bd15a394a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRobot.html#a927240c8058a5bc527a81c6bd15a394a">_forceMeasurement</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a59fbafc2b301235f5736ba09b603d783"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Robot::Robot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classExperiment.html">Experiment</a> &amp;&#160;</td>
          <td class="paramname"><em>experiment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a924320124b09c2f2ac1621aa210d5f38"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Robot::~Robot </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="addd6c688b1b4697dcfb7f59c5eb4d820"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::BuildFromRecipe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structRobotRecipe.html">RobotRecipe</a>&#160;</td>
          <td class="paramname"><em>recipe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TODO: change <a class="el" href="structRobotRecipe.html" title="TODO: replace that with simply parameter file (robot recipe file)">RobotRecipe</a> into a reference to par object. </p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_addd6c688b1b4697dcfb7f59c5eb4d820_cgraph.png" border="0" usemap="#classRobot_addd6c688b1b4697dcfb7f59c5eb4d820_cgraph" alt=""/></div>
<map name="classRobot_addd6c688b1b4697dcfb7f59c5eb4d820_cgraph" id="classRobot_addd6c688b1b4697dcfb7f59c5eb4d820_cgraph">
<area shape="rect" id="node3" href="classHardwareManager.html#a44bd17839f7647b13901a97f775cefca" title="HardwareManager::GetAxis\lPointer" alt="" coords="220,5,401,51"/><area shape="rect" id="node7" href="classActuatorAxis.html#a25534aa53fbcfc4c97aa5bc03988f1d1" title="ActuatorAxis::SetName" alt="" coords="231,75,391,104"/><area shape="rect" id="node9" href="classActuatorAxis.html#a4393c05ae71e2764aba1b0c94edfad44" title="ActuatorAxis::SetFlip" alt="" coords="237,128,384,157"/><area shape="rect" id="node11" href="classRobot.html#a94a9bab97c26b85eb3d65f5cb62d9aa4" title="Registers all fields to the StateManager." alt="" coords="236,181,385,211"/><area shape="rect" id="node5" href="classActuatorSystem.html#a793ffbe816baa451e69df29a3cec334f" title="ActuatorSystem::GetAxisPointer" alt="" coords="452,13,663,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac115f5f04d44b46899a4424ed2157080"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a>&amp; Robot::forceMeasurement </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_ac115f5f04d44b46899a4424ed2157080_icgraph.png" border="0" usemap="#classRobot_ac115f5f04d44b46899a4424ed2157080_icgraph" alt=""/></div>
<map name="classRobot_ac115f5f04d44b46899a4424ed2157080_icgraph" id="classRobot_ac115f5f04d44b46899a4424ed2157080_icgraph">
<area shape="rect" id="node3" href="classRobot.html#a81113fbdb49a6a17c2601fbb4318d0f6" title="Robot::readParameters" alt="" coords="227,5,384,35"/><area shape="rect" id="node5" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="432,5,576,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6028803bde72460dd961a3099dd32485"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::GetPosition </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>positionMicrons</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a392ec2a33753ff38d7d7ed38674a6ec1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::Goto </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>positionMicrons</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>this time, int axis means the i-th axis in the robot collection, no relation to hardware id's </p>

</div>
</div>
<a class="anchor" id="a62961cc17086e0b6a19b72ebf2409960"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::ParseRecipeFromIni </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classParms.html">Parms</a> &amp;&#160;</td>
          <td class="paramname"><em>robotRecipePar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structRobotRecipe.html">RobotRecipe</a> &amp;&#160;</td>
          <td class="paramname"><em>robotRecipe</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a81113fbdb49a6a17c2601fbb4318d0f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::readParameters </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classParms.html">Parms</a> &amp;&#160;</td>
          <td class="paramname"><em>parms</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_cgraph.png" border="0" usemap="#classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_cgraph" alt=""/></div>
<map name="classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_cgraph" id="classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_cgraph">
<area shape="rect" id="node3" href="classRobot.html#ac115f5f04d44b46899a4424ed2157080" title="Robot::forceMeasurement" alt="" coords="240,5,413,35"/><area shape="rect" id="node5" href="classForceMeasurement.html#a3f42e8b4b54d18c7db9efc89b52b011d" title="ForceMeasurement::SetSensor\lMaxForce" alt="" coords="225,58,428,105"/><area shape="rect" id="node9" href="classForceMeasurement.html#a34e8231b10f5544090399faf29e90f1e" title="ForceMeasurement::SetSensorGain" alt="" coords="212,128,441,157"/><area shape="rect" id="node7" href="classForceSensor.html#a5f2044a55ffffec962204f02f2eb0fb2" title="ForceSensor::SetMaxForce" alt="" coords="492,67,673,96"/><area shape="rect" id="node11" href="classForceSensor.html#a30772feffe31fe028a562686548d3747" title="ForceSensor::SetGain" alt="" coords="508,128,657,157"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_icgraph.png" border="0" usemap="#classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_icgraph" alt=""/></div>
<map name="classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_icgraph" id="classRobot_a81113fbdb49a6a17c2601fbb4318d0f6_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="211,5,355,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a94a9bab97c26b85eb3d65f5cb62d9aa4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::RegisterFields </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Registers all fields to the <a class="el" href="classStateManager.html">StateManager</a>. </p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_a94a9bab97c26b85eb3d65f5cb62d9aa4_icgraph.png" border="0" usemap="#classRobot_a94a9bab97c26b85eb3d65f5cb62d9aa4_icgraph" alt=""/></div>
<map name="classRobot_a94a9bab97c26b85eb3d65f5cb62d9aa4_icgraph" id="classRobot_a94a9bab97c26b85eb3d65f5cb62d9aa4_icgraph">
<area shape="rect" id="node3" href="classRobot.html#addd6c688b1b4697dcfb7f59c5eb4d820" title="TODO: change RobotRecipe into a reference to par object." alt="" coords="203,5,368,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6fcc15958db68e9ae90e940306c43f33"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::SetAxisOption </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="ActuatorAxis_8hpp.html#aa54708a5c8d0aae983e16b802396532b">AxisOption</a>&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets axis option, returns false if option is unsupported or if axis is missing. </p>

</div>
</div>
<a class="anchor" id="a401f61ae45e4c0587e9127e2c4c3dd67"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a>&amp; Robot::stateManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_a401f61ae45e4c0587e9127e2c4c3dd67_icgraph.png" border="0" usemap="#classRobot_a401f61ae45e4c0587e9127e2c4c3dd67_icgraph" alt=""/></div>
<map name="classRobot_a401f61ae45e4c0587e9127e2c4c3dd67_icgraph" id="classRobot_a401f61ae45e4c0587e9127e2c4c3dd67_icgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#a88ea63ab69a7fffcfc30e51c372a246d" title="ForceMeasurement::ForceMeasurement" alt="" coords="199,5,452,35"/><area shape="rect" id="node5" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee" title="ForceMeasurement::GetForce\lAndVoltage" alt="" coords="228,58,423,105"/><area shape="rect" id="node11" href="classForceMeasurement.html#aa7f2465589dbc2fc98c9c95f6f0e469b" title="ForceMeasurement::SetSensor\lOffsetForce" alt="" coords="224,127,427,174"/><area shape="rect" id="node7" href="classForceMeasurement.html#ae6bb9d59b00ea4d0e093704874b2f99d" title="ForceMeasurement::Update\lForce" alt="" coords="515,58,699,105"/><area shape="rect" id="node9" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269" title="ForceMeasurement::TareSensor" alt="" coords="503,132,711,161"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad41d6baac65d38790ca5810b7f14a17a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::UpdateAxisState </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>axis</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Call it if you want to update state of an axis selectively without updating other axes. </p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_ad41d6baac65d38790ca5810b7f14a17a_icgraph.png" border="0" usemap="#classRobot_ad41d6baac65d38790ca5810b7f14a17a_icgraph" alt=""/></div>
<map name="classRobot_ad41d6baac65d38790ca5810b7f14a17a_icgraph" id="classRobot_ad41d6baac65d38790ca5810b7f14a17a_icgraph">
<area shape="rect" id="node3" href="classRobot.html#a47cbe36ecea5e52540b77264bc9b14a1" title="Call it to update state for all axes." alt="" coords="219,5,392,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a47cbe36ecea5e52540b77264bc9b14a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Robot::UpdateRobotState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Call it to update state for all axes. </p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classRobot_a47cbe36ecea5e52540b77264bc9b14a1_cgraph.png" border="0" usemap="#classRobot_a47cbe36ecea5e52540b77264bc9b14a1_cgraph" alt=""/></div>
<map name="classRobot_a47cbe36ecea5e52540b77264bc9b14a1_cgraph" id="classRobot_a47cbe36ecea5e52540b77264bc9b14a1_cgraph">
<area shape="rect" id="node3" href="classRobot.html#ad41d6baac65d38790ca5810b7f14a17a" title="Call it if you want to update state of an axis selectively without updating other axes..." alt="" coords="228,5,391,35"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="a4c8858bc161c836527fa919eae75c780"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classstd_1_1vector.html">std::vector</a>&lt;<a class="el" href="classActuatorAxis.html">ActuatorAxis</a>*&gt; Robot::_axes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a927240c8058a5bc527a81c6bd15a394a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a> Robot::_forceMeasurement</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ac7b0162b6bb68b07d8b622c7aa4aff55"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classHardwareManager.html">HardwareManager</a>&amp; Robot::_hardwareManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ae14c5e0f4233f5f5340ee8f3664ac364"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a>&amp; Robot::_stateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Robot_8hpp_source.html">Robot.hpp</a></li>
<li><a class="el" href="Robot_8cpp.html">Robot.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
